#include<bits/stdc++.h>
using namespace std;
long long a[20000];
int main(){
    long long n;

    cin>>n;
    for(long long i=0;i<n;i++){
       cin>>a[i];
    }
    long long otg=0;
    for(long long i=0;i<n;i++){
        for(long long i2=i+1;i2<n;i2++){
            bool ot=0;
            for(long long i3=i+1;i3<=i2-1;i3++){
                if(a[i3]<=max(a[i],a[i2])){

                }
                else{
                    ot=1;
                }
            }
            if(ot==0){
                otg++;
                //cout<<i<<" "<<i2<<endl;
            }

        }
    }
    cout<<otg<<endl;

    return 0;
}
